////////////////////////////////////////////////////////////////////////////////
//
//  System Name : ACR Configuration File
//     Filename : acf_cre_onspawnin
//    $Revision:: 280        $ current version of the file
//        $Date:: 2007-03-20#$ date the file was created or modified
//       Author : Cipher
//
//    Var Prefix:
//  Dependencies:
//
//  Description
//  This script calls the ACR's OnSpawnIn event handler for creatures
//  and any custom code a server may need. It is not updated in ACR updates.
//
//  Revision History
//    2010/11/17  AcadiusLost - Autodisabled flocking on creatures without a "parent" spawn point.
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Includes ////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
#include "acr_creature_i"
#include "NW_I0_GENERIC"
#include "NW_O2_CONINCLUDE"

////////////////////////////////////////////////////////////////////////////////
// Constants ///////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

int USE_SPECIAL_ABILITY=75;


////////////////////////////////////////////////////////////////////////////////
// Structures //////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Global Variables ////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function Prototypes /////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function Definitions ////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////


void main()
{
	int tmp;
	if (!GetLocalInt(OBJECT_SELF,"X2_L_BEH_MAGIC"))	
		{SetLocalInt(OBJECT_SELF,"X2_L_BEH_MAGIC",USE_SPECIAL_ABILITY);}
		
	ACR_CreatureOnSpawnIn();

				
	// animal hack 
	tmp = GetLevelByClass(CLASS_TYPE_ANIMAL);
	
	if (GetLocalInt(OBJECT_SELF,"ACR_CRE_WILD_ANIMAL") && (tmp > 0)) {
		SetBehaviorState(NW_FLAG_BEHAVIOR_SPECIAL,TRUE);
		if (tmp > 1)
			SetBehaviorState(NW_FLAG_BEHAVIOR_OMNIVORE,TRUE);
		else
			SetBehaviorState(NW_FLAG_BEHAVIOR_HERBIVORE,TRUE);	    
	}
		
	//animation code
	if (GetLocalInt(OBJECT_SELF,"USE_IMMOBILE_AMBIENT_ANIM"))
	{
		float fRand=IntToFloat(d6(3));
		DelayCommand(fRand,ExecuteScript("dpss_ambient_anim",OBJECT_SELF));
	}


    // Custom code goes here.
	
}