////////////////////////////////////////////////////////////////////////////////
//
//  System Name : ACR Configuration File
//     Filename : acf_door_onheartbeat 
//    $Revision:: 233        $ current version of the file
//        $Date:: 2007-01-20#$ date the file was created or modified
//       Author : Ronan
//
//  Local Variable Prefix =
//
//
//  Dependencies external of nwscript:
//
//  Description
//  This script calls the ACR's OnHeartbeat code for doors, and any custom code
//  a server may need. It is not updated in ACR updates.
//
//  Revision History
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Includes ////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

#include "acr_door_i"

////////////////////////////////////////////////////////////////////////////////
// Constants ///////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Structures //////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Global Variables ////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function Prototypes /////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function Definitions ////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

void main() {
    ACR_DoorOnHeartbeat();

    // Custom code goes here.
    // NOTE: If you want to add a working hearbeat script, you MUST assign one
    // here, below the call to the above function. This script is only executed
    // once, and it turns off heartbeats on this object before it exits.

    // For example:
    // SetEventHandler( OBJECT_SELF, DOOR_PLACEABLE_ON_HEARTBEAT, "your script here");

    // Also, be sure not to assign ANY heartbeat script in generic ACF scripts.
    // Thousands of objects in modules may use ACF scripts, leaving you with
    // thousands of heartbeat scripts running!
}