////////////////////////////////////////////////////////////////////////////////
//
//  System Name : ALFA Configuration File
//     Filename : acf_mod_onchat.nss
//    $Revision:: 0        $ current version of the file
//        $Date:: 2009-08-08#$ date the file was created or modified
//       Author : AcadiusLost
//
//  Local Variable Prefix = None
//
//  Description
//  This script calls the module's OnChat event, and any custom code added
//  by this server. It is usually used to set up server-specific options.
//  This file should NOT be overwriten in ACR updates so as to preserve any of
//  the server's customized code they may have added.
//
//  Revision History
//  2009/08/08  AcadiusLost  Inception
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Includes ////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

#include "acr_mod_events_i"
#include "acr_interface_i"

////////////////////////////////////////////////////////////////////////////////
// Constants ///////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Structures //////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Global Variables ////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function Prototypes /////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Function Definitions ////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

int StartingConditional(object oSpeaker, object oTarget, int nMode, string sText) 
{
    // ACR hook for OnChat event. Run this first in case the text needs to be suppressed.
    if (ACR_ModuleOnChat(oSpeaker, oTarget, nMode, sText) != TRUE) {
        return FALSE;
    }

	if ( GetStringLeft( sText, 1 ) == "#" ) {
		string sCommand = GetStringRight( sText, GetStringLength( sText ) - 1 );
		ACR_FI_ParseAndRunCommand( oSpeaker, sCommand );
		return FALSE;
	}

    // Custom code goes below this line. Module scripts can supress chat text by returning false here.
    return TRUE;
}